#ifndef __ADS1115_H
#define __ADS1115_H
#include <msp430g2553.h>
//#include "delay.c"

#define SCL_H             P1OUT |= BIT6
#define SCL_L             P1OUT &= ~BIT6
#define SDA_H             P1OUT |= BIT7
#define SDA_L             P1OUT &= ~BIT7

#define SCL_OUT           P1DIR |= BIT6
#define SDA_IN            P1DIR &= ~BIT7   //SDAĳģʽ
#define SDA_OUT           P1DIR |= BIT7    //SDAģʽ
#define SCL_IN            P1DIR &= ~BIT6   //SCLĳģʽ
#define SDA_read          (P1IN & BIT7)    //SDAֵ
#define SCL_read          (P1IN & BIT6)    //SDLֵ

 
typedef enum {FALSE = 0, TRUE = !FALSE} FlagStatus;
typedef enum {DISABLE = 0, ENABLE = !DISABLE} FunctionalState;

#define ADDR_ADS1115       0x90                  //first 7-bit I2C address
#define ADS1115_RA         0X00                  //first 6-bit =0
#define ADS1115_RD        (0x01|ADDR_ADS1115)    //first 7-bit I2C address followed by a low read/write bit
#define ADS1115_WR        (0x00|ADDR_ADS1115)

//Pointer Register Byte
#define ADS1115_CV        (0x00|ADS1115_RA)
#define ADS1115_CR        (0x01|ADS1115_RA)
#define ADS1115_LO        (0x02|ADS1115_RA)
#define ADS1115_HI        (0x03|ADS1115_RA)

//Config Register           //OS             MUX[2,0]      PGA[2,0]      MODE       
#define ADS1115_CONFIG_H    ((0X0001<<15) | (0X0001<<12) | (0X0001<<9) | (0X0001<<8))

                            //DIR[2,0]      CMP_MODE      CMP_POL       CMP_LAT      CMP_QUE[1,0]
#define ADS1115_CONFIG_L    ((0X0001<<5) | (0X0001<<4) | (0X0001<<3) | (0X0001<<2) | 0X0001)
#define CR_MSB            0xc3
#define GAIN              2
extern float temp,temp1;
extern float ads1115_v;
extern unsigned int AD_DATA;
extern unsigned int pBuffer;
extern float adi;
void I2C_Configuration(void);
unsigned char Write_Confreg(unsigned char SendByteH, unsigned char SendByteL);
unsigned char Read_ConvValue(unsigned int* pBuffer);
float ads1115_read(unsigned char ch);
void to_char(unsigned char *display_bufer,float adc);
float ads1115_read_fil(unsigned char ch);
float adc_to_disbufferv_v(float adc1);
float adc_to_disbufferv_i(float adc2);

#endif